Subject: bug#22846: 25.0.91; Long pauses viewing HTML email; can we show progress?

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 29 Feb 2016 18:19:55 +1100

John Wiegley <[email-masked]> writes:

> I have a feeling this may become a non-issue after Lars' asynchronous DNS
> support goes live, but for 25.1, I find that hitting SPACE to read an HTML
> e-mail with many images, Emacs pauses for up to ~10 seconds doing...
> something.

Yeah, that's the problem the async code makes go away...

> It would help me to know work is being done, by some kind of prompting
> in the message area, the way that Firefox does when loading a slow
> page.
>
> Bonus points for only prompting after a second or more, to avoid excessive
> logging to *Messages*, but that's not terribly important.

Hm...  didn't we add a mechanism to display messages on a timeout the
other year?  Or did we just talk about it?  I wanted something like

(with-timeout-message 2 "We're doing whatevs"
  (whatevs))

If the body form completes within 2 seconds, then nothing is displayed,
otherwise the message is displayed until the body form completes.

I can't find it now, so we probably just talked about it?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no